/* Das Programm schlägt dir einen Wochenplan mit Gerichten vor und fügt auch gleich die Zutaten hinzu.
   Anschließend wird der Wochenplan als PDF gespeichert und gleich geöffnet */

say "Bist du Vegetarier? ('ja' oder 'nein')"
parse pull ans

myExplorer = .OLEObject~New("InternetExplorer.Application")

/* Vegetarischer Wochenplan */
if ans = "ja" then do

    link_1 = "https://www.chefkoch.de/rezepte/3158761470150409/Vegetarischer-Burger-vegetarischer-Hot-Dog.html"
    link_2 = "https://www.chefkoch.de/rezepte/3034951456165150/Tofu-Tikka-Masala.html"
    link_3 = "https://www.chefkoch.de/rezepte/1387481243796887/Rote-Linsen-Kokossuppe.html"
    link_4 = "https://www.chefkoch.de/rezepte/1525561257774684/Frischer-Mangosalat.html"
    link_5 = "https://www.chefkoch.de/rezepte/1044541209388802/Gnocchi-aus-dem-Ofen-in-Paprika-Tomaten-Sauce.html"
    link_6 = "https://www.chefkoch.de/rezepte/1495691254829099/Eckis-italienischer-Nudelsalat-mit-Pesto.html"
    link_7 = "https://www.chefkoch.de/rezepte/3654161550042949/Spaghetti-mit-cremiger-Hummus-Sauce.html"
end

/* Wochenplan mit Fleisch und Fisch*/
if ans = "nein" then do
    link_1 = "https://www.chefkoch.de/rezepte/1946901316786698/Koestliches-Zitronenhaehnchen.html"
    link_2 = "https://www.chefkoch.de/rezepte/1412871246169628/Thai-Green-Curry-Chicken.html"
    link_3 = "https://www.chefkoch.de/rezepte/1030211208236698/Geduensteter-Zwiebelrostbraten.html"
    link_4 = "https://www.chefkoch.de/rezepte/1342861239100533/Tortellini-alla-panna.html"
    link_5 = "https://www.chefkoch.de/rezepte/1306101235562392/Rinderrouladen-im-Braeter.html"
    link_6 = "https://www.chefkoch.de/rezepte/1341971239053324/Gulaschsuppe.html"
    link_7 = "https://www.chefkoch.de/rezepte/2038061330155696/Fisch-mit-Lauch-und-Tomaten-auf-Linsenbett.html"
end


/* dieser Code holt die verschiedenen Gerichte mit den zugehörigen Rezepten aus dem Internet und speichert diese ab. */

/* Internet Explorer */
a = 1
do while a < 8

    if a = 1 then do
        myExplorer~Navigate(link_1)
    end
    if a = 2 then do
        myExplorer~Navigate(link_2)
    end
    if a = 3 then do
        myExplorer~Navigate(link_3)
    end
    if a = 4 then do
        myExplorer~Navigate(link_4)
    end
    if a = 5 then do
        myExplorer~Navigate(link_5)
    end
    if a = 6 then do
        myExplorer~Navigate(link_6)
    end
    if a = 7 then do
        myExplorer~Navigate(link_7)
    end

    DO WHILE myExplorer~Busy = .True

    CALL sysSleep 0.20

    END

    doc = myExplorer~document
    body = doc~body
    textrange = body~CreateTextRange
    text = textrange~Text

    parse var text . "Bilder bearbeiten" titel "                {                    "currentSlide":"

    if a = 1 then do
        titel_clean_1 = Space(titel)
    end
    if a = 2 then do
        titel_clean_2 = Space(titel)
    end
    if a = 3 then do
        titel_clean_3 = Space(titel)
    end
    if a = 4 then do
        titel_clean_4 = Space(titel)
    end
    if a = 5 then do
        titel_clean_5 = Space(titel)
    end
    if a = 6 then do
        titel_clean_6 = Space(titel)
    end
    if a = 7 then do
        titel_clean_7 = Space(titel)
    end

    parse var text . "Portionen umrechnen" ingr "Zubereitung"

    if a = 1 then do
        ingr_clean_1 = Space(ingr)
    end
    if a = 2 then do
        ingr_clean_2 = Space(ingr)
    end
    if a = 3 then do
        ingr_clean_3 = Space(ingr)
    end
    if a = 4 then do
        ingr_clean_4 = Space(ingr)
    end
    if a = 5 then do
        ingr_clean_5 = Space(ingr)
    end
    if a = 6 then do
        ingr_clean_6 = Space(ingr)
    end
    if a = 7 then do
        ingr_clean_7 = Space(ingr)
    end

    a = a + 1

end


/* Excel */

do
    WP_Excel = .OLEObject~new("Excel.Application")
    WP_Excel~visible = .false
    Worksheet = WP_Excel~Workbooks~Add~Worksheets[1]

    WP_Excel~Cells(1,1)~Value = "Montag"
    WP_Excel~Cells(1,2)~Value = "Dienstag"
    WP_Excel~Cells(1,3)~Value = "Mittwoch"
    WP_Excel~Cells(1,4)~Value = "Donnerstag"
    WP_Excel~Cells(1,5)~Value = "Freitag"
    WP_Excel~Cells(1,6)~Value = "Samstag"
    WP_Excel~Cells(1,7)~Value = "Sonntag"


    WP_Excel~Cells(2,1)~Value = titel_clean_1
    WP_Excel~Cells(3,1)~Value = ingr_clean_1
    WP_Excel~Cells(2,2)~Value = titel_clean_2
    WP_Excel~Cells(3,2)~Value = ingr_clean_2
    WP_Excel~Cells(2,3)~Value = titel_clean_3
    WP_Excel~Cells(3,3)~Value = ingr_clean_3
    WP_Excel~Cells(2,4)~Value = titel_clean_4
    WP_Excel~Cells(3,4)~Value = ingr_clean_4
    WP_Excel~Cells(2,5)~Value = titel_clean_5
    WP_Excel~Cells(3,5)~Value = ingr_clean_5
    WP_Excel~Cells(2,6)~Value = titel_clean_6
    WP_Excel~Cells(3,6)~Value = ingr_clean_6
    WP_Excel~Cells(2,7)~Value = titel_clean_7
    WP_Excel~Cells(3,7)~Value = ingr_clean_7

    /*Excel Sheet formatieren*/

    WP_Excel~Range("A1:G1")~select
    WP_Excel~selection~font~colorindex = 9 --Titel der Reihen rot einfärben

    WP_Excel~Columns("A:G")~EntireColumn~ColumnWidth = 20 --Spaltenbreite wird angepasst

    WP_Excel~Range("A3:G3")~select
    WP_Excel~selection~RowHeight = 350 -- Spaltenhöhe der 3.Reihe wird angepasst

    WP_Excel~Range("A1:G3")~select
    WP_Excel~selection~Borders~LineStyle = 1 --Borderlines werden erstellt


end

/* PDF */

do
    xap = WP_Excel~Activesheet~PageSetup
    xap~PrintTitleRows='$1:$2'
    xap~PrintTitleColumns=''
    xap~PrintArea='A1:G3'
    xap~LeftHeader=''
    xap~CenterHeader=''
    xap~RightHeader=''
    xap~LeftFooter=''
    xap~CenterFooter=''
    xap~RightFooter=''
    xap~LeftMargin = WP_Excel~Application~InchesToPoints(0.75)
    xap~RightMargin = WP_Excel~Application~InchesToPoints(0.75)
    xap~TopMargin = WP_Excel~Application~InchesToPoints(1)
    xap~BottomMargin = WP_Excel~Application~InchesToPoints(1)
    xap~HeaderMargin = WP_Excel~Application~InchesToPoints(0.5)
    xap~FooterMargin = WP_Excel~Application~InchesToPoints(0.5)
    xap~PrintHeadings=.False
    xap~PrintGridlines=.False
    xap~CenterHorizontally=.False
    xap~CenterVertically=.False
    xap~Draft=.False
    xap~BlackAndWhite=.False
    xap~Zoom=.False
    xap~FitToPagesWide=1
    xap~FitToPagesTall=100

    WP_Excel~ActiveWindow~SelectedSheets~PrintOut(,,1,.false,"Microsoft Print to PDF",.true,.false,Directory("C:\Users\lukab\Desktop")"\Wochenplan_Mahlzeiten_final.pdf",.false)
    

    /*öffnet den Wochenplan als PDF Datei*/

    call SysSleep 5

    address cmd "C:\Users\lukab\Desktop\Wochenplan_Mahlzeiten_final.pdf"
end






